\begin{table}[htbp]
\centering
\begin{adjustbox}{max width=\textwidth}
\begin{tabular}{|l|l|r|r|r|}
	\hline
	\multicolumn{2}{|l|}{}                    &     \textbf{Comp. Evolutiva} &     \textbf{Temple Simulado} &               \texttt{fmincon} \\ \hline\hline
	\multirow{5}{*}{Mejor}    & Configuración & {[}46, 0, 249, 131, 0, 76{]} & {[}46, 0, 249, 131, 0, 76{]} & {[}136, 28, 138, 130, 1, 79{]} \\ \cline{2-5}
	                          & Precio        &                \$\ 1,914,636 &                \$\ 1,914,636 &                  \$\ 2,040,579 \\ \cline{2-5}
	                          & Consumo       &        89,105 \textit{Watts} &        89,105 \textit{Watts} &          91,055 \textit{Watts} \\ \cline{2-5}
	                          & GFlops        &                    1,000,000 &                    1,000,000 &                      1,007,572 \\ \cline{2-5}
	                          & Fitness       &                   290.415880 &                   290.415880 &                     297.230293 \\ \hline\hline
	\multirow{5}{*}{2ª mejor} & Configuración & {[}16, 2, 274, 131, 0, 75{]} & {[}16, 2, 274, 131, 0, 75{]} &              \multirow{5}{*}{} \\ \cline{2-4}
	                          & Precio        &                \$\ 1,916,488 &                \$\ 1,916,488 &  \\ \cline{2-4}
	                          & Consumo       &        88,945 \textit{Watts} &        88,945 \textit{Watts} &  \\ \cline{2-4}
	                          & GFlops        &                    1,000,000 &                    1,000,000 &  \\ \cline{2-4}
	                          & Fitness       &                   290.598941 &                   290.598941 &  \\ \hline\hline
	\multirow{5}{*}{Peor}     & Configuración &  {[}298, 4, 2, 135, 0, 79{]} & {[}19, 0, 275, 131, 0, 75{]} &              \multirow{5}{*}{} \\ \cline{2-4}
	                          & Precio        &                \$\ 1,950,070 &                \$\ 1,913,653 &  \\ \cline{2-4}
	                          & Consumo       &        89,665 \textit{Watts} &        89,045 \textit{Watts} &  \\ \cline{2-4}
	                          & GFlops        &                    1,000,000 &                    1,000,057 &  \\ \cline{2-4}
	                          & Fitness       &                   293.482077 &                   291.116308 &  \\ \hline
\end{tabular}
\end{adjustbox}
\caption{Resumen de resultados de los distintos métodos de optimización}
\label{tab:resultados}
\end{table}